curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations/15' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
}
]
}
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"traceId": "00-8a3919c1917bff4f84367110dcf0680a-e156f57e8851b5be-00"
}
Split de Pagamentos
Consultar configuração de Split
Consulte uma configuração de Split de Pagamento específica por ID.
GET
/
baas
/
api
/
v1
/
split-payments
/
configurations
/
{id}
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations/15' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
}
]
}
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"traceId": "00-8a3919c1917bff4f84367110dcf0680a-e156f57e8851b5be-00"
}
Para o passo a passo completo, veja o guia Consultar Split de Pagamentos.
Headers
string
required
Sua API key.
string
required
Número da conta Delfinance.
Path
string
required
ID da configuração de Split de Pagamento a ser consultada.
Response
Objeto de configuração com a mesma estrutura descrita em Criar configuração de Split.curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations/15' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:04:38.112Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
}
]
}
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"traceId": "00-8a3919c1917bff4f84367110dcf0680a-e156f57e8851b5be-00"
}

